package p08_importowanie.wersja_okienkowa;

/* W tej wersji programu nie ma żadnych importów, a wszystkie odwołania do klasy Geometria
 * oraz standardowych klas JOptionPane i Random są poprzedzone nazwą pakietu.
 * 
 * W języku Java ZAWSZE da się napisać program bez użycia import.
 * import w Javie NIE służy załadowaniu klas do pamięci, nie wykonuje się w czasie działania programu (tak się dzieje w Python i PHP)
 * To jest tylko wskazanie z jakiego pakietu pochodzi klasa.
 */
public class Importowanie1_BrakImportow {

	public static void main(String[] args) {
		// Tylko, aby pokazać w kontekście importowania, tworzę obiekt Random
		java.util.Random random = new java.util.Random();
		
		String[] figury = {"kwadrat", "prostokąt", "koło"};
		int poczatkowyWybor = random.nextInt(figury.length);
		
		String figura = (String)javax.swing.JOptionPane.showInputDialog(
				null,
				"Wybierz rodzaj figury",
				"Wybór",
				javax.swing.JOptionPane.QUESTION_MESSAGE,
				null,
				figury,
				figury[poczatkowyWybor]);

		if(figura == null) {
			return;
		}
		switch(figura) {
			case "kwadrat" -> {
				double a = Double.parseDouble(javax.swing.JOptionPane.showInputDialog("Podaj długość boku:"));
				double pole = p07_funkcje.FunkcjeGeometryczne.poleKwadratu(a);
				double obwod = p07_funkcje.FunkcjeGeometryczne.obwodKwadratu(a);
				javax.swing.JOptionPane.showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
			
			case "prostokąt" -> {
				double a = Double.parseDouble(javax.swing.JOptionPane.showInputDialog("Podaj długość 1. boku:"));
				double b = Double.parseDouble(javax.swing.JOptionPane.showInputDialog("Podaj długość 2. boku:"));
				double pole = p07_funkcje.FunkcjeGeometryczne.poleProstokata(a, b);
				double obwod = p07_funkcje.FunkcjeGeometryczne.obwodProstokata(a, b);
				javax.swing.JOptionPane.showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
			case "koło" -> {
				double r = Double.parseDouble(javax.swing.JOptionPane.showInputDialog("Podaj promień koła:"));
				double pole = p07_funkcje.FunkcjeGeometryczne.poleKola(r);
				double obwod = p07_funkcje.FunkcjeGeometryczne.obwodKola(r);
				javax.swing.JOptionPane.showMessageDialog(null, "Pole: " + pole + "\nObwód: " + obwod);
			}
		}
	}

}
